/*
    2006 Microsoft Corporation. All rights reserved.
*/

var visPane = 0;
var audPane = 1;
var plPane = 2;
var vidPane = 3;
var currentPane = audPane;
var openingPane = 0;

var vidIsRunning = false;

function OnLoad()
{
    pl.setColumnResizeMode(0, "Stretches");
    pl.setColumnResizeMode(1, "AutoSizeData");
    OnOpenStateChange();
    SetPane(visPane);
    vidIsRunning ? StartVideo() : EndVideo();
}

function OnOpenStateChange()
{
    vidIsRunning = (player.openState==osMediaOpen) &&
        (player.currentMedia.ImageSourceWidth>0);
    if(player.openState == osMediaOpen)
    {
        UpdateMetadata();
    }
    else
    {
        metadata.value = player.status;
    }
}

function StartVideo()
{
    vidIsRunning = true;
    visEffects.visible = false;
    if(currentPane!=audPane)
    {
        SetPane(vidPane);
    }
}

function EndVideo()
{
    vidIsRunning = false;
    visEffects.visible = true;
    if(currentPane==vidPane)
    {
        SetPane(visPane);
    }
}

function UpdateMetadata()
{
    var temp = player.currentmedia.name;
    metadata.value =
        player.currentmedia.getiteminfo("author");
    if(metadata.value!="" && temp!="")
    {
        metadata.value += xSep.toolTip;
    }
    metadata.value += temp;
    metadata.scrolling = (metadata.textWidth>metadata.width);
}

function SetPane(newPane)
{
    bgVis.upToolTip = vidIsRunning ?
        xVid.value : xVis.value;
    bgVis.enabled = (newPane!=vidPane);
    switch(newPane)
    {
        case visPane:
            visEffects.visible = true;
            sAud.visible =
                pl.visible =
                vid.visible = false;
            bgVis.upToolTip = xVis.toolTip;
            break;
        case audPane:
            sAud.visible = true;
            visEffects.visible =
                pl.visible =
                vid.visible = false;
            break;
        case plPane:
            pl.visible = true;
            visEffects.visible =
                sAud.visible =
                vid.visible = false;
            break;
        case vidPane:
            vid.visible = true;
            visEffects.visible =
                sAud.visible =
                pl.visible = false;
            bgVis.upToolTip = "";
            break;
    }

    currentPane = newPane;
}

function AdjustAudio()
{
    eq.gainLevel1 = bass.value;
    eq.gainLevel2 = (8*bass.value +   treble.value)/9;
    eq.gainLevel3 = (7*bass.value + 2*treble.value)/9;
    eq.gainLevel4 = (6*bass.value + 3*treble.value)/9;
    eq.gainLevel5 = (5*bass.value + 4*treble.value)/9;
    eq.gainLevel6 = (4*bass.value + 5*treble.value)/9;
    eq.gainLevel7 = (3*bass.value + 6*treble.value)/9;
    eq.gainLevel8 = (2*bass.value + 7*treble.value)/9;
    eq.gainLevel9 = (  bass.value + 8*treble.value)/9;
    eq.gainLevel10 = treble.value;
}